Orbiter-Forum  

Go Back   Orbiter-Forum > Projects > Orbithangar Mods rebuild > Feature
Register Blogs Orbinauts List Social Groups FAQ Projects Mark Forums Read

Multiple version support Issue Tools
issueid=1250 07-18-2016 02:33 PM
Puts the Fun in Dysfunctional
Multiple version support
Per-package Orbiter version support for each addon

As discussed in forum threads, the new release should support multiple versions of Orbiter for each add-on. This can be accomplished by permitting each add-on to be associated with multiple files, each of which is attached to a different Orbiter API version, and presenting those as download options to users.

In this way one add-on can present multiple versions for download without needing multiple entries in the system.
Issue Details
Issue Type Feature
Project Orbithangar Mods rebuild
Status Accepted
Priority 5 - Medium
Suggested Version 1.0
Implemented Version (none)
Votes for this feature 5
Votes against this feature 0
Assigned Users Xyon
Tags (none)

07-18-2016 04:16 PM
Moderator
 
I think we would need clear indication on each add-on page list of supported orbier versions. I'm thinking something on the top similar to icon bar in new orbiter. but that's just first thoughts. Depending on my workload tonight at office I'll try to make some sketches.
Reply
07-18-2016 06:38 PM
Puts the Fun in Dysfunctional
 
A matrix or grid of supported Orbiter versions could work, with coloured or greyed deltagliders to indicate support for 2006-P1 -> 2016 RC1.
Reply
07-19-2016 02:21 AM
Scientist
 
Maybe have yes/no/maybe (or tick, X, ?) for each version to say what it's tested for, where it will not work, and where it's unknown.

I would also like to have a way to select which versions you care about, as part of your profile, to make it easy for those making the cold turkey jump to O2016.
Reply
07-19-2016 06:32 PM
Puts the Fun in Dysfunctional
 
That's what I meant about "supported" versions: versions for which the author intends them to be used for and will provide support for. An add-on working in 2010-P1 when it was built for 2006-P1 is one thing, but you wouldn't file a bug report for 2010-P1 issues in an unsupported addon. Make sense? So the author / team has control here. Maybe a separate place can hold user-based testing info like the wine appdb site?
Reply
Reply

Issue Tools
Subscribe to this issue

All times are GMT. The time now is 02:50 AM.

Quick Links Need Help?


About Us | Rules & Guidelines | TOS Policy | Privacy Policy

Orbiter-Forum is hosted at Orbithangar.com
Powered by vBulletin® Version 3.8.6
Copyright ©2000 - 2017, Jelsoft Enterprises Ltd.
Copyright 2007 - 2012, Orbiter-Forum.com. All rights reserved.